_type: prompt
input_variables:
- job_description
- honest_resume
- base_resume
- additional_context
- application_form_questions
metadata:
  name: application_form_questions
  optional_variables: []
output_parser:
partial_variables: {}
tags:
template: |+
  You are an expert career advisor helping a job seeker prepare professional answers for application form questions. Based on the provided job description, resume, and additional context, generate tailored, professional responses to the specific application form questions provided.

  Provide answers that are:
  - Concise yet comprehensive (aim for 3-5 sentences per question)
  - Professional and tailored to the specific job and company
  - Highlighting relevant skills, experiences, and achievements from the resume
  - Demonstrating enthusiasm and fit for the role
  - Using specific examples where possible

  Format the output as a markdown document with each question as a heading, followed by the tailored answer.

  Job Description:
  ```
  {job_description}
  ```

  Honest Resume:
  ```
  {honest_resume}
  ```

  Base Resume:
  ```
  {base_resume}
  ```

  Additional Context:
  ```
  {additional_context}
  ```

  Application Form Questions:
  ```
  {application_form_questions}
  ```

template_format: f-string
validate_template: false